<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>fr.scholanova.eial.archdist</groupId>
  <artifactId>PresentationEjbEAR</artifactId>
  <version>1.0</version>
  <packaging>ear</packaging>

  <name>PresentationEjbEAR</name>
  <url>http://maven.apache.org</url>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencies>
  
  	
    
    <!-- https://mvnrepository.com/artifact/org.junit.jupiter/junit-jupiter-api -->
<dependency>
    <groupId>org.junit.jupiter</groupId>
    <artifactId>junit-jupiter-api</artifactId>
    <version>5.6.0</version>
    <scope>test</scope>
</dependency>
    
    <dependency>
		<groupId>fr.scholanova.eial.archidist</groupId>
		<artifactId>PresentationEjbInterface</artifactId>
		<version>1.0</version>
		<type>jar</type>
	</dependency>
	
	
	<dependency>
		<groupId>fr.scholanova.eial.archidist</groupId>
		<artifactId>PresentationEjb</artifactId>
		<version>1.0</version>
		<type>ejb</type>
	</dependency>
	
	
  </dependencies>
  
  <build>
		<plugins>
			<plugin>
        	<groupId>org.apache.maven.plugins</groupId>
        	<artifactId>maven-surefire-plugin</artifactId>
        	<version>3.0.0-M4</version>
      	</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ear-plugin</artifactId>
				<version>2.8</version>
				<configuration>
					<defaultLibBundleDir>lib</defaultLibBundleDir>
					<modules>
						<ejbModule>
							<groupId>fr.scholanova.eial.archidist</groupId>
							<artifactId>PresentationEjb</artifactId>
						</ejbModule>
					</modules>
				</configuration>
			</plugin>
			
			<plugin>
                <groupId>org.wildfly.plugins</groupId>
                <artifactId>wildfly-maven-plugin</artifactId>
                <version>2.1.0.Beta1</version>
                <configuration>
                    <jboss-home>${env.JBOSS_HOME}</jboss-home>
                </configuration>
            </plugin>

		</plugins>
	</build>
  
</project>
